package com.flowing.light.board.tools

import android.content.Context
import com.flowing.light.board.FlowingLightBoard

object SaveCurrentTheme {

    val SP_NAME = "keyboard_skin"
    val SKIN_PATH = "skin_path"
    val spSkin = FlowingLightBoard.Companion.flowingLightBoardInstance.getSharedPreferences(SP_NAME,Context.MODE_PRIVATE)

    fun  updateSkinPath(skinPath:String){
        spSkin.edit().putString(SKIN_PATH,skinPath).apply()
    }

    fun  getSkinPath( ):String?{
       return spSkin.getString(SKIN_PATH,null)
    }
}